#ifndef NETWORK_HPP
#define NETWORK_HPP

#include <netinet/in.h>
#include <unistd.h>

#define BUF_SIZE            4096     // Buffer size (big enough for a GET)

#define kProxyPort      9080
#define kWebserverIP    "127.0.0.1"
#define kWebserverPort  7080

void PipeSockets(int sender_s, int receiver_s);
void ProxySockets(int sender_s, int receiver_s);

struct Client { 
	unsigned int    socketFD;           // Client socket descriptor
	sockaddr_in     address;            // Client IP address 
	socklen_t       addressLength;      // Internet address length
    Client(void);
    bool ConnectFrom(int serverFD);
    bool ConnectTo(int portNumber);
};

struct Server {
	unsigned int    socketFD;           // Server socket descriptor
	sockaddr_in     address;            // Server Internet address
    Server(int portNumber);
    void Close(void);
};

#endif
